Package com.macrofocus.high_d.mds.javafx

# Class JavaFXMDS<Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>
com.macrofocus.high_d.mds.AbstractMDS<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>
com.macrofocus.high_d.mds.javafx.JavaFXMDS<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `MDS<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`, `ScatterPlot<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`

public class JavaFXMDS<Row,Column> extends AbstractMDS<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.mds.AbstractMDS

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXMDS(MDSScatterPlotModel<javafx.scene.paint.Color,Row,Column> mdsModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ScatterPlotController`
  `createController(ScatterPlotView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected MDSScatterPlotModel<javafx.scene.paint.Color,Row,Column>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected ScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `javafx.scene.Node`
  `getNativeComponent()`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.mds.AbstractMDS

  `getController, getModel, getView, load, setController, setLicenseKey, setModel, setView, start, stop`

  ### Methods inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlot

  `setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXMDS

    public JavaFXMDS(MDSScatterPlotModel<javafx.scene.paint.Color,Row,Column> mdsModel)

- ## Method Details

  - ### createModel

    protected MDSScatterPlotModel<javafx.scene.paint.Color,Row,Column> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Description copied from class: `AbstractMDS`
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractMDS<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ScatterPlotModel instance

  - ### createView

    protected ScatterPlotView<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column> createView()
    Description copied from class: `AbstractMDS`
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractMDS<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`
    Returns:
      a ScatterPlotView instance

  - ### createController

    protected ScatterPlotController createController(ScatterPlotView view)
    Description copied from class: `AbstractMDS`
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractMDS<javafx.scene.Node,javafx.scene.paint.Color,javafx.scene.text.Font,Row,Column>`
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a ScatterPlotController instance

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()